All Classes Namespaces Functions Variables Groups Pages
Pop3Client::Pop3Connection Class Reference

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails More...

Inheritance diagram for Pop3Client::Pop3Connection:
[legend]

## Public Member Functions

| constructor (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| creates the Pop3Connection object More...
*hash | getRuntimeOptions ()
| returns runtime options More...
string | getType ()
| returns `"pop3"`

## Static Public Member Functions

static Pop3Connection | make (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| static constructor

## Private Member Functions

Pop3Client | getImpl (bool connect=True, *hash rtopts)
| returns a Pop3Client object More...

## Detailed Description

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  Pop3Client 1.5

## Member Function Documentation

Pop3Client::Pop3Connection::constructor | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | opts,
|  | hash | urlh
| ) |  |

creates the Pop3Connection object

Parameters

  name | the name of the connection
  desc | connection description
  url | connection URL
  monitor | monitoring flag
  opts | connection options
  urlh | broken down URL hash (as returned by Qore::parse_url())

Pop3Client Pop3Client::Pop3Connection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

privatevirtual

returns a Pop3Client object

Parameters

  connect | if True, then Pop3Client::Pop3Client::connect() is called

  rtopts

  supports the following runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  a Pop3Client object

Implements ConnectionProvider::AbstractConnection.

*hash Pop3Client::Pop3Connection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging